I'm running 1.2.16, I tried to update to a newer version via the software update plugin but I get an error!

updating
octoprint-1-2-16

#1

There is a a bug in 1.2.16 that might prevent updating OctoPrint if you have never saved the settings since installing 1.2.16. To fix this, simply open the Settings dialog and directly click "Save" (you don't have to change anything). That should get things working again.

For more details please see the release notes of 1.2.17.